    Program HAM1
!
!  HAM1 layout.
!
!  Coordinates are referenced to HAM1,  (+X,+Y) is global (+X, +Y), 
!    The pick off beam in HAM2 starts from global (-20639, 475, -101)
!    The HAM2 table is at global (-20122, 0, -247) 
!    The septum viewport is at global (-21407, 413, -105.1) 
!    The HAM1 chamber is at global (-22692, 0, 0)
!    End viewports @ (-24317, 419, -94); (-24358, 0, 120.7); (-24317, -419, -94)
!    POP and ALS are assumed normal incident to the appropriate VP
!
    use optocad
    use rsplot
!
    character(len=128)        :: ocd(100)=''
    character(len=128)       :: mir(3)=''
    character(len=128)       :: tt(8)=''
!
    ocd(51) ='b 0.0,  38.0,  2.1, 0.0, 0. # REFL beam'
!    ocd(52) ='b 1300.0,  509.0,  2.1, 180.0, 0. # POP/ALS beam'
!    ocd(53) ='b -1700.0, 419.0,  2.1,  0.0, 0. # PSL beam'
!                     
!   Chamber details
!
    ocd(2) ='i refl_qpd_sled.ocd, 0.0, 0.0, 0.0 # Table>>@'
!
!   A 2" mirror
!
    mir(1)='p a=str, cc=0., rr=1.0'
    mir(2)='d @a,  0.,  0.,  rd=25.4,  ag=0., c=cc, r=rr #Mirror@lc9,-7'
    mir(3)=' +  t,  dx=9.5, da=180.0'
!
!   Tip Tilt optic
!
    tt(1) ='p a=str, cc=0.'
    tt(2) ='d  str, 0.0, 0.0, rd=25.4 # TipTilt'
    tt(3) ='+  t, dm=9.0, da=180'
    tt(4) ='d  h, -26., 0.,  rd= 62, icc=13 '
    tt(5) ='+  h, dm=90.0, da=180'
    tt(6) ='h  h, -26., 0., rd=25.4'
    tt(7) ='+  h, dm=90.0, rd=25.4'  
!
    call oc_init(unit='mm', &         ! Initialize OPTOCAD 
                 pform = 'LETTER_L', &  !Landscape letter size
                 prt='nwe')           ! Display errors
     call oc_frame(-100.,-150.,600.0,150., &  !frame at xbeg, ybeg, xend, yend
         xbl=25., &                                                  ! bottom left in paper units
         ybl=25., &                                                  ! bottom left in paper units
         scale=0.3, &                                           ! scale
         glp=0)                                                        ! line style
    
    call oc_set(nice = 1,        &     ! One iteration for cavity eigenray
                pstat= 0,        &     ! Switch off output of statistics
                      fslb = 2.,       &     ! Font size for labels (mm)
                      rix = (/1.44963/), & ! index of refraction
                      mct=2,    & ! Cavity treatment (2=resonance, 3=resonance+eigenmode)
                      pctl=0,      & ! show cavity test cycle
                print='rs s1 s2 act x1 y1 x2 y2 rd  w1t w2t lb', &
                write='rs x1 y1 x2 y2  Gp1 Gp2 lb')
    call oc_bind('mirror',mir)
    call oc_bind('tt',tt)
    call oc_input(ocd)                 ! read in data of optical components
!
    call oc_trace(1, of='ham1_REFL_QPD.txt')                      ! Trace REFL ray segments
    call oc_beam(3.0,fill=ps_color((/1.,.8,.8/)))! Plot outer part of beam
    call oc_beam(2.0,fill=ps_color((/1.,.6,.6/)))! Plot middle part of beam
    call oc_beam(1.0,fill=2)                     ! Plot inner part of beam
    call oc_beam(0.0,1,5,.2)     ! Plot the beam axes in black 
    call oc_surf()
    call oc_reset()
!
    call oc_exit
    end                    
